## nuclei 2.9.14

=== v2/Makefile ===
# Go parameters
GOCMD=go
GOBUILD=$(GOCMD) build
GOMOD=$(GOCMD) mod
GOTEST=$(GOCMD) test
GOFLAGS := -v
# This should be disabled if the binary uses pprof
LDFLAGS := -s -w

ifneq ($(shell go env GOOS),darwin)
LDFLAGS := -extldflags "-static"
endif
    
all: build
build:
	$(GOBUILD) $(GOFLAGS) -ldflags '$(LDFLAGS)' -o "nuclei" cmd/nuclei/main.go
docs:
	if ! which dstdocgen > /dev/null; then
		echo -e "Command not found! Install? (y/n) \c"
		go get -v github.com/projectdiscovery/yamldoc-go/cmd/docgen/dstdocgen
	fi
	$(GOCMD) generate pkg/templates/templates.go
	$(GOBUILD) -o "cmd/docgen/docgen" cmd/docgen/docgen.go
	./cmd/docgen/docgen docs.md nuclei-jsonschema.json
test:
	$(GOTEST) $(GOFLAGS) ./...
integration:
	cd ../integration_tests; bash run.sh
functional:
	cd cmd/functional-test; bash run.sh
tidy:
	$(GOMOD) tidy

=== debian/changelog ===
nuclei (2.9.14-0parrot2) lory-updates; urgency=medium

  * Build using go 1.21.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Mon, 04 Dec 2023 17:58:12 +0100

nuclei (2.9.14-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:11:21 +0200

nuclei (2.9.14-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.14

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Sep 2023 09:26:50 +0200

nuclei (2.9.13-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.13

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Aug 2023 16:39:52 +0200

nuclei (2.9.12-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.12

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Aug 2023 11:16:51 +0200

nuclei (2.9.11-0kali2) kali-dev; urgency=medium

  * Do not build docs (FTBFS on 32 bits arch)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Aug 2023 13:30:00 +0200

nuclei (2.9.11-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.11

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Aug 2023 16:04:39 +0200

nuclei (2.9.10-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.10

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 15:56:42 +0200

nuclei (2.9.9-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.9

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Jul 2023 17:31:49 +0200

nuclei (2.9.8-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.8

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jul 2023 16:12:44 +0200

nuclei (2.9.7-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.7
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 27 Jun 2023 11:30:32 +0200

nuclei (2.9.6-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.6
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Jun 2023 17:00:02 +0200

nuclei (2.9.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.4

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 12 May 2023 14:33:44 +0200

nuclei (2.9.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 04 May 2023 10:51:17 +0200

nuclei (2.9.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.2
  * Refresh patches
  * Bump Standards-Version to 4.6.2
  * Add verbose option in debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 20 Apr 2023 15:19:46 +0200

nuclei (2.9.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Apr 2023 14:56:05 +0200

nuclei (2.9.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Mar 2023 17:14:46 +0100

nuclei (2.8.9-0kali1) kali-dev; urgency=medium

  * New upstream version 2.8.9

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Feb 2023 12:04:29 +0100

nuclei (2.8.8-0kali1) kali-dev; urgency=medium

  * New upstream version 2.8.8

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Jan 2023 15:04:59 +0100

nuclei (2.8.7-0kali1) kali-dev; urgency=medium

  * New upstream version 2.8.7

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Jan 2023 15:51:48 +0100

nuclei (2.8.5-0kali1) kali-dev; urgency=medium

  * New upstream version 2.8.5

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Jan 2023 16:04:57 +0100

nuclei (2.8.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.8.3

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Dec 2022 11:39:45 +0100

nuclei (2.8.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.8.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Dec 2022 09:51:26 +0100

nuclei (2.7.9-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.9

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 08 Nov 2022 12:27:26 +0100

nuclei (2.7.8-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.8
  * Refresh patches
  * Add a patch to fix the build
  * Do not run dh_dwz
  * Bump Standards-Version to 4.6.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Oct 2022 14:00:07 +0200

nuclei (2.7.7-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.7

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Aug 2022 09:15:25 +0200

nuclei (2.7.4-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Jul 2022 15:48:41 +0200

nuclei (2.7.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.3
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 Jun 2022 08:50:43 +0200

nuclei (2.7.2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.7.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 Jun 2022 11:39:31 +0200

nuclei (2.5.7-0kali1) kali-dev; urgency=medium

  * Initial release (see 6836)

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 20 Dec 2021 17:55:34 +0100

=== debian/control ===
Source: nuclei
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               ca-certificates,
               dh-golang,
               golang-1.21-go | golang-any,
               golang-github-alecthomas-jsonschema-dev,
               golang-github-apex-log-dev,
               golang-github-blang-semver-dev,
               golang-github-corpix-uarand-dev,
               golang-github-google-go-github-dev,
               golang-github-json-iterator-go-dev,
               golang-github-julienschmidt-httprouter-dev,
               golang-github-karlseguin-ccache-dev,
               golang-github-karrick-godirwalk-dev,
               golang-github-logrusorgru-aurora-dev,
               golang-github-miekg-dns-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-pkg-errors-dev,
               golang-github-remeh-sizedwaitgroup-dev,
               golang-github-rs-xid-dev,
               golang-github-shirou-gopsutil-dev,
               golang-github-spaolacci-murmur3-dev,
               golang-github-spf13-cast-dev,
               golang-github-stretchr-testify-dev,
               golang-github-valyala-fasttemplate-dev,
               golang-github-weppos-publicsuffix-go-dev,
               golang-go.uber-atomic-dev,
               golang-go.uber-multierr-dev,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-yaml.v2-dev
Standards-Version: 4.6.2
Homepage: https://github.com/projectdiscovery/nuclei
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/projectdiscovery/nuclei

Package: nuclei
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast and customizable vulnerability scanner based on simple YAML based DSL
 This package contains  a fast tool for configurable targeted scanning based on
 templates offering massive extensibility and ease of use.
 .
 Nuclei is used to send requests across targets based on a template
 leading to zero false positives and providing fast scanning on large
 number of hosts. Nuclei offers scanning for a variety of protocols
 including TCP, DNS, HTTP, File, etc. With powerful and flexible
 templating, all kinds of security checks can be modelled with Nuclei.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor
export PATH := /usr/lib/go-1.21/bin/:$(PATH):$(CURDIR)/vendor/bin

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	cd v2 && make

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:
	# do not run test

override_dh_dwz:
	# do not run dh_dwz:
	# dwz: debian/nuclei/usr/bin/nuclei: Found compressed
	# .debug_aranges section, not attempting dwz compression

## nuclei 3.4.5

=== debian/changelog ===
nuclei (3.4.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.5
  * Refresh patches
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Jun 2025 10:02:41 +0200

nuclei (3.4.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.4
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 May 2025 15:39:48 +0200

nuclei (3.4.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.3
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 09 May 2025 13:52:36 +0200

nuclei (3.4.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Apr 2025 11:07:59 +0200

nuclei (3.4.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 31 Mar 2025 15:06:54 +0200

nuclei (3.3.10-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.10

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Mar 2025 12:05:05 +0100

nuclei (3.3.9-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.9

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2025 17:04:44 +0100

nuclei (3.3.8-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.8
  * Update debian/copyright
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 08 Jan 2025 15:49:57 +0100

nuclei (3.3.7-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.7

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Dec 2024 10:07:03 +0100

nuclei (3.3.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.6
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 22 Nov 2024 14:37:52 +0100

nuclei (3.3.5-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.5

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Oct 2024 12:09:29 +0200

nuclei (3.3.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.4
  * Bump Standards-Version to 4.7.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 02 Oct 2024 12:00:18 +0200

nuclei (3.3.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.3

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2024 09:39:33 +0200

nuclei (3.3.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 05 Sep 2024 16:33:47 +0200

nuclei (3.3.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.1

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 22 Aug 2024 10:49:20 +0200

nuclei (3.3.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.3.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 14 Aug 2024 08:38:36 +0200

nuclei (3.2.9-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.9

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 26 Jun 2024 10:15:34 +0200

nuclei (3.2.8-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.8

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 May 2024 17:58:53 +0200

nuclei (3.2.7-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.7

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 16 May 2024 15:20:16 +0200

nuclei (3.2.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.6
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 May 2024 11:33:42 +0200

nuclei (3.2.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.4

 -- Sophie Brun <sophie@freexian.com>  Wed, 10 Apr 2024 13:52:29 +0200

nuclei (3.2.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.2.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Mar 2024 15:50:22 +0100

nuclei (3.1.10-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.10

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 05 Feb 2024 13:50:19 +0100

nuclei (3.1.7-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.7

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 25 Jan 2024 14:30:35 +0100

nuclei (3.1.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.6

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 19 Jan 2024 11:36:44 +0100

nuclei (3.1.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.4

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jan 2024 15:20:09 +0100

nuclei (3.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.1.1
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 11 Dec 2023 16:09:52 +0100

nuclei (3.0.4-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 27 Nov 2023 11:39:48 +0100

nuclei (3.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.3

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 10:30:55 +0100

nuclei (3.0.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.2
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Oct 2023 11:32:04 +0200

nuclei (3.0.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.1

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Oct 2023 15:35:19 +0200

nuclei (3.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.0.0
  * Refresh patches
  * debian/rules: update installation

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 20 Oct 2023 14:20:06 +0200

nuclei (2.9.15-0kali1) kali-dev; urgency=medium

  * New upstream version 2.9.15

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 18 Sep 2023 17:10:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: nuclei
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                dh-golang,
-               golang-1.21-go | golang-any,
+               golang-any,
                golang-github-alecthomas-jsonschema-dev,
                golang-github-apex-log-dev,
                golang-github-blang-semver-dev,
@@ -33,7 +33,9 @@
                golang-golang-x-net-dev,
                golang-golang-x-oauth2-google-dev,
                golang-yaml.v2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/nuclei
+Vcs-Git: https://gitlab.com/kalilinux/packages/nuclei.git
 Homepage: https://github.com/projectdiscovery/nuclei
 Testsuite: autopkgtest-pkg-go
 Rules-Requires-Root: no

## nuclei 3.4.6

=== debian/changelog ===
nuclei (3.4.6-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.6
  * Change my email address

 -- Sophie Brun <sophie@kali.org>  Tue, 01 Jul 2025 16:25:30 +0200

## nuclei 3.4.8

=== debian/changelog ===
nuclei (3.4.8-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.8
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Fri, 22 Aug 2025 11:20:56 +0200

## nuclei 3.4.10

=== Makefile ===
# Go parameters
GOCMD := go
GOBUILD := $(GOCMD) build
GOBUILD_OUTPUT := 
GOBUILD_PACKAGES := 
GOBUILD_ADDITIONAL_ARGS := 
GOMOD := $(GOCMD) mod
GOTEST := $(GOCMD) test
GOFLAGS := -v
# This should be disabled if the binary uses pprof
LDFLAGS := -s -w

ifneq ($(shell go env GOOS),darwin)
	LDFLAGS += -extldflags "-static"
endif
    
.PHONY: all build build-stats clean devtools-all devtools-bindgen devtools-scrapefuncs
.PHONY: devtools-tsgen docs docgen dsl-docs functional fuzzplayground go-build lint lint-strict syntax-docs
.PHONY: integration jsupdate-all jsupdate-bindgen jsupdate-tsgen memogen scan-charts test test-with-lint
.PHONY: tidy ts verify download vet template-validate

all: build

clean:
	rm -f '${GOBUILD_OUTPUT}' 2>/dev/null

go-build: clean
go-build:
	CGO_ENABLED=0 $(GOBUILD) -trimpath $(GOFLAGS) -ldflags '${LDFLAGS}' $(GOBUILD_ADDITIONAL_ARGS) \
		 -o '${GOBUILD_OUTPUT}' $(GOBUILD_PACKAGES)

build: GOFLAGS = -v -pgo=auto
build: GOBUILD_OUTPUT = ./bin/nuclei
build: GOBUILD_PACKAGES = cmd/nuclei/main.go
build: go-build

build-test: GOFLAGS = -v -pgo=auto
build-test: GOBUILD_OUTPUT = ./bin/nuclei.test
build-test: GOBUILD_PACKAGES = ./cmd/nuclei/
build-test: clean
build-test:
	CGO_ENABLED=0 $(GOCMD) test -c -trimpath $(GOFLAGS) -ldflags '${LDFLAGS}' $(GOBUILD_ADDITIONAL_ARGS) \
		 -o '${GOBUILD_OUTPUT}' ${GOBUILD_PACKAGES}

build-stats: GOBUILD_OUTPUT = ./bin/nuclei-stats
build-stats: GOBUILD_PACKAGES = cmd/nuclei/main.go
build-stats: GOBUILD_ADDITIONAL_ARGS = -tags=stats
build-stats: go-build

scan-charts: GOBUILD_OUTPUT = ./bin/scan-charts
scan-charts: GOBUILD_PACKAGES = cmd/scan-charts/main.go
scan-charts: go-build

template-signer: GOBUILD_OUTPUT = ./bin/template-signer
template-signer: GOBUILD_PACKAGES = cmd/tools/signer/main.go
template-signer: go-build

docgen: GOBUILD_OUTPUT = ./bin/docgen
docgen: GOBUILD_PACKAGES = cmd/docgen/docgen.go
docgen: bin = dstdocgen
docgen:
	@if ! which $(bin) >/dev/null; then \
		echo "Command $(bin) not found! Installing..."; \
		go install -v github.com/projectdiscovery/yamldoc-go/cmd/docgen/$(bin)@latest; \
	fi
	# TODO: FIX THIS PANIC
	$(GOCMD) generate pkg/templates/templates.go
	$(GOBUILD) -o "${GOBUILD_OUTPUT}" $(GOBUILD_PACKAGES)

docs: docgen
docs:
	./bin/docgen docs.md nuclei-jsonschema.json

syntax-docs: docgen
syntax-docs:
	./bin/docgen SYNTAX-REFERENCE.md nuclei-jsonschema.json

test: GOFLAGS = -race -v
test:
	$(GOTEST) $(GOFLAGS) ./...

integration:
	cd integration_tests; bash run.sh

functional:
	cd cmd/functional-test; bash run.sh

tidy:
	$(GOMOD) tidy

download:
	$(GOMOD) download

verify: download
	$(GOMOD) verify

vet: verify
	$(GOCMD) vet ./...

devtools-bindgen: GOBUILD_OUTPUT = ./bin/bindgen
devtools-bindgen: GOBUILD_PACKAGES = pkg/js/devtools/bindgen/cmd/bindgen/main.go
devtools-bindgen: go-build

devtools-tsgen: GOBUILD_OUTPUT = ./bin/tsgen
devtools-tsgen: GOBUILD_PACKAGES = pkg/js/devtools/tsgen/cmd/tsgen/main.go
devtools-tsgen: go-build

devtools-scrapefuncs: GOBUILD_OUTPUT = ./bin/scrapefuncs
devtools-scrapefuncs: GOBUILD_PACKAGES = pkg/js/devtools/scrapefuncs/main.go
devtools-scrapefuncs: go-build

devtools-all: devtools-bindgen devtools-tsgen devtools-scrapefuncs

jsupdate-bindgen: GOBUILD_OUTPUT = ./bin/bindgen
jsupdate-bindgen: GOBUILD_PACKAGES = pkg/js/devtools/bindgen/cmd/bindgen/main.go
jsupdate-bindgen: go-build
jsupdate-bindgen:
	./$(GOBUILD_OUTPUT) -dir pkg/js/libs -out pkg/js/generated

jsupdate-tsgen: GOBUILD_OUTPUT = ./bin/tsgen
jsupdate-tsgen: GOBUILD_PACKAGES = pkg/js/devtools/tsgen/cmd/tsgen/main.go
jsupdate-tsgen: go-build
jsupdate-tsgen:
	./$(GOBUILD_OUTPUT) -dir pkg/js/libs -out pkg/js/generated/ts

jsupdate-all: jsupdate-bindgen jsupdate-tsgen

ts: jsupdate-tsgen

fuzzplayground: GOBUILD_OUTPUT = ./bin/fuzzplayground
fuzzplayground: GOBUILD_PACKAGES = cmd/tools/fuzzplayground/main.go
fuzzplayground: LDFLAGS = -s -w
fuzzplayground: go-build

memogen: GOBUILD_OUTPUT = ./bin/memogen
memogen: GOBUILD_PACKAGES = cmd/memogen/memogen.go
memogen: go-build
memogen:
	./$(GOBUILD_OUTPUT) -src pkg/js/libs -tpl cmd/memogen/function.tpl

dsl-docs: GOBUILD_OUTPUT = ./bin/scrapefuncs
dsl-docs: GOBUILD_PACKAGES = pkg/js/devtools/scrapefuncs/main.go
dsl-docs:
	./$(GOBUILD_OUTPUT) -out dsl.md

template-validate: build
template-validate:
	./bin/nuclei -ut
	./bin/nuclei -validate \
		-et .github/ \
		-et helpers/payloads/ \
		-et http/technologies \
		-ept code
	./bin/nuclei -validate \
		-w workflows \
		-et .github/ \
		-et helpers/payloads/ \
		-et http/technologies \
		-ept code

=== debian/changelog ===
nuclei (3.4.10-0kali1) kali-dev; urgency=medium

  * New upstream version 3.4.10
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 25 Aug 2025 10:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: golang
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                dh-golang,

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,13 @@
 
 export GOCACHE=$(CURDIR)/vendor
 export GOPATH=$(CURDIR)/vendor
-export PATH := /usr/lib/go-1.21/bin/:$(PATH):$(CURDIR)/vendor/bin
+export PATH := $(PATH):$(CURDIR)/vendor/bin
 
 %:
 	dh $@ --buildsystem=golang
 
 override_dh_auto_build:
-	cd v2 && make
+	make
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source

=== debian/tests/control ===
Test-Command: nuclei -h
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/projectdiscovery/nuclei/tags .*/v?(\d\S*)\.tar\.gz debian

## nuclei 3.6.0

=== debian/changelog ===
nuclei (3.6.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.6.0
  * Update debian/watch to Version 5
  * Add missing Static-Built-Using

 -- Sophie Brun <sophie@kali.org>  Fri, 12 Dec 2025 14:34:17 +0100

nuclei (3.5.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.5.1
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 17:51:43 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
 Vcs-Git: https://gitlab.com/kalilinux/packages/nuclei.git
 Homepage: https://github.com/projectdiscovery/nuclei
 Testsuite: autopkgtest-pkg-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/projectdiscovery/nuclei
 
 Package: nuclei
@@ -46,6 +45,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Fast and customizable vulnerability scanner based on simple YAML based DSL
  This package contains  a fast tool for configurable targeted scanning based on
  templates offering massive extensibility and ease of use.

## nuclei 3.6.1

=== debian/changelog ===
nuclei (3.6.1-0parrot1) echo; urgency=medium

  * Sync with Kali packaging.
  * Import new upstream version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 31 Dec 2025 14:46:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: nuclei
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+XSBC-Orig-Uploaders: Sophie Brun <sophie@kali.org>,
+           Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
                dh-golang,
@@ -34,8 +36,6 @@
                golang-golang-x-oauth2-google-dev,
                golang-yaml.v2-dev
 Standards-Version: 4.7.2
-Vcs-Browser: https://gitlab.com/kalilinux/packages/nuclei
-Vcs-Git: https://gitlab.com/kalilinux/packages/nuclei.git
 Homepage: https://github.com/projectdiscovery/nuclei
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/projectdiscovery/nuclei

## nuclei 3.6.2

=== Makefile ===
--- 
+++ 
@@ -75,7 +75,7 @@
 syntax-docs:
 	./bin/docgen SYNTAX-REFERENCE.md nuclei-jsonschema.json
 
-test: GOFLAGS = -race -v
+test: GOFLAGS = -race -v -timeout 30m -count 1
 test:
 	$(GOTEST) $(GOFLAGS) ./...
 
@@ -147,13 +147,13 @@
 template-validate:
 	./bin/nuclei -ut
 	./bin/nuclei -validate \
-		-et .github/ \
-		-et helpers/payloads/ \
 		-et http/technologies \
+		-t dns \
+		-t ssl \
+		-t network \
+		-t http/exposures \
 		-ept code
 	./bin/nuclei -validate \
 		-w workflows \
-		-et .github/ \
-		-et helpers/payloads/ \
 		-et http/technologies \
 		-ept code

=== debian/changelog ===
nuclei (3.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 3.6.2

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 07 Jan 2026 11:26:19 +0100

nuclei (3.6.1-0kali1) kali-dev; urgency=medium

  * New upstream version 3.6.1
  * Refresh patches
  * Update Uploaders

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 17 Dec 2025 12:00:50 +0100

## nuclei 3.7.0

=== debian/changelog ===
nuclei (3.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 3.7.0

 -- Sophie Brun <sophie@kali.org>  Thu, 29 Jan 2026 15:50:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: nuclei
 Section: golang
 Priority: optional
-Maintainer: Parrot Dev Team <team@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-XSBC-Orig-Uploaders: Sophie Brun <sophie@kali.org>,
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@kali.org>,
            Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: debhelper-compat (= 13),
                ca-certificates,
@@ -36,6 +35,8 @@
                golang-golang-x-oauth2-google-dev,
                golang-yaml.v2-dev
 Standards-Version: 4.7.2
+Vcs-Browser: https://gitlab.com/kalilinux/packages/nuclei
+Vcs-Git: https://gitlab.com/kalilinux/packages/nuclei.git
 Homepage: https://github.com/projectdiscovery/nuclei
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/projectdiscovery/nuclei

=== debian/watch ===
Version: 5
Template: Github
Owner: projectdiscovery
Project: nuclei
